io.netty.handler.codec.redis

## Class IntegerRedisMessage

- java.lang.Object
- - io.netty.handler.codec.redis.IntegerRedisMessage

All Implemented Interfaces:
  RedisMessage

    @UnstableApi
    public final class IntegerRedisMessage
    extends Object
    implements RedisMessage

Integers of RESP.

### Constructor Summary

Constructors
Constructor and Description
`IntegerRedisMessage(long value)` Creates a `IntegerRedisMessage` for the given `content`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`long` `value()` Get long value of this `IntegerRedisMessage`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntegerRedisMessage

    public IntegerRedisMessage(long value)

Creates a `IntegerRedisMessage` for the given `content`.

Parameters:
  `value` - the message content.

### Method Detail

#### value

    public long value()

Get long value of this `IntegerRedisMessage`.

Returns:
  long value

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`